org.apache.catalina.util

## Class URLEncoder

- java.lang.Object
- - org.apache.catalina.util.URLEncoder

    public class URLEncoder
    extends Object

This class is very similar to the java.net.URLEncoder class. Unfortunately, with java.net.URLEncoder there is no way to specify to the java.net.URLEncoder which characters should NOT be encoded. This code was moved from DefaultServlet.java

Author:
  Craig R. McClanahan, Remy Maucherat

### Field Summary

Fields
`protected static char[]` `hexadecimal`
`protected BitSet` `safeCharacters`

### Constructor Summary

Constructors
Constructor and Description
`URLEncoder()`

### Method Summary

Methods
`void` `addSafeCharacter(char c)`
`String` `encode(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hexadecimal

    protected static final char[] hexadecimal

#### safeCharacters

    protected BitSet safeCharacters

### Constructor Detail

#### URLEncoder

    public URLEncoder()

### Method Detail

#### addSafeCharacter

    public void addSafeCharacter(char c)

#### encode

    public String encode(String path)